
Ruby - Feature #5313

Please drop IRB's version in favour of Ruby version

09/13/2011 04:09 PM - vo.x (Vit Ondruch)

Status: Closed   

Priority: Normal   

Assignee: hsbt (Hiroshi SHIBATA)   

Target version:    

Description

It seems that IRB's upstream lives in Ruby's SVN. There is no way how to update IRB separate from Ruby. From that point of view, it

would make sense to drop IRB's own version numbers in favour of Ruby versions instead. The IRB reports this version information:

irb -v

irb 0.9.6(09/06/30)

 However from the IRB changelog [1] it is clear that there went some changes in meantime, so the IRB's versioning is not reliable and

does not make a sense IMO.

[1] https://github.com/ruby/ruby/commits/trunk/lib/irb

History

#1 - 09/13/2011 06:03 PM - nobu (Nobuyoshi Nakada)

- Category set to lib

- Status changed from Open to Assigned

- Assignee set to keiju (Keiju Ishitsuka)

- Priority changed from Normal to 3

#2 - 11/20/2012 08:54 PM - mame (Yusuke Endoh)

- Target version set to 2.6

#3 - 12/14/2017 02:04 PM - vo.x (Vit Ondruch)

This is still issue. Gemifying IRB might help with that ...

#4 - 12/25/2017 06:15 PM - naruse (Yui NARUSE)

- Target version deleted (2.6)

#5 - 04/19/2018 07:52 AM - hsbt (Hiroshi SHIBATA)

- Assignee changed from keiju (Keiju Ishitsuka) to hsbt (Hiroshi SHIBATA)

#6 - 11/27/2018 08:53 AM - vo.x (Vit Ondruch)

- Status changed from Assigned to Closed

I hope the situation should be better since r63915 which makes IRB default gem. Now if only the version was properly increased ...
